# Tarfile created using git
# git clone git://git.moblin.org/moblin-panel-media
# git archive --format=tar --prefix=%{name}-%{version}/ %{git_version} | bzip2 > ~/%{name}-%{version}-%{gitdate}.tar.bz2
%define gitdate 20100105
%define git_version d5df79e
%define tarfile %{name}-%{version}-%{gitdate}.tar.bz2

Name:           moblin-panel-media
Version:        0.0.8
Release:        0.2%{?dist}
Summary:        Moblin Panel for Media

Group:          System Environment/Libraries
License:        LGPLv2
URL:            http://www.moblin.org
# Source0:       http://git.moblin.org/cgit.cgi/%{name}/snapshot/%{name}-%{version}.tar.bz2
Source0:       %{tarfile}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: bickley-devel
BuildRequires: bognor-regis-devel
BuildRequires: clutter-devel
BuildRequires: dbus-glib-devel
BuildRequires: gtk2-devel
BuildRequires: mutter-moblin-devel
BuildRequires: nbtk-devel
BuildRequires: intltool

# Require these because the git tarball doesn't have the configure built
BuildRequires: libtool
BuildRequires: gnome-common

Requires: dbus

%description
The Moblin mutter panel for managing and playing media.

%prep
%setup -q

# run autogen.sh until we have a proper release, but don't run configure twice.
NOCONFIGURE=true ./autogen.sh

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

mkdir -p %{buildroot}/%{_sysconfdir}/xdg/autostart
mv %{buildroot}/media.desktop %{buildroot}/%{_sysconfdir}/xdg/autostart/moblin-panel-media.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING.LIB
%{_sysconfdir}/xdg/autostart/moblin-panel-media.desktop
%{_libexecdir}/moblin-panel-media
%{_datadir}/dbus-1/services/org.moblin.UX.Shell.Panels.media.service
%{_datadir}/%{name}

%changelog
* Sun Apr 18 2010 Peter Robinson <pbrobinson@gmail.com> 0.0.8-0.2
- Bump build

* Tue Jan  5 2010 Peter Robinson <pbrobinson@gmail.com> 0.0.8-0.1
- Move to a git snapshot of 0.0.8

* Fri Nov 13 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.7-1
- New upstream 0.0.7 release

* Mon Oct 26 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.6-1
- New upstream 0.0.6 release

* Fri Oct 16 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.4-1
- New upstream 0.0.4 release

* Tue Sep 22 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.3-1
- New upstream 0.0.3 release

* Sat Sep 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.2-1
- New upstream 0.0.2 release

* Mon Aug 31 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.1-2
- Add patch for bognor-regis 0.4.10

* Wed Aug 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.1-1
- Initial packaging
